#include "poker_defs.h"

/* 
 * Table jokerStraightTable
 */

/*
straightTable[].  Maps 13-bit rank masks to a value indicating if a 
straight would be present if we had a joker, and if so, the rank of 
the high card.  Zero means no straight, even though zero corresponds
to deuce, but since there is no such thing as a deuce-high straight, 
that's OK. 
 */

uint8 jokerStraightTable[8192] = { 
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0b ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0a ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x09 ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x06 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x00 ,
     0x04 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x05 ,
     0x05 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x05 ,
     0x05 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x00 ,
     0x03 ,
     0x03 ,
     0x04 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x04 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x00 ,
     0x03 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x07 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x08 ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c ,
     0x0c 
};
